require_relative 'lib/helium/errors/version'

Gem::Specification.new do |spec|
  spec.name          = "helium-errors"
  spec.version       = Helium::Errors::VERSION
  spec.authors       = ["Stanislaw Klajn"]
  spec.email         = ["sklajn@gmail.com"]

  spec.summary       = %q{Data structure to hold validation and process errors}
  spec.homepage      = "https://github.com/helium-rb/errors"
  spec.license       = "MIT"
  spec.required_ruby_version = Gem::Requirement.new(">= 2.3.0")

  spec.metadata["homepage_uri"] = spec.homepage
  spec.metadata["source_code_uri"] = "https://github.com/helium-rb/errors"

  # Specify which files should be added to the gem when it is released.
  # The `git ls-files -z` loads the files in the RubyGem that have been added into git.
  spec.files         = Dir.chdir(File.expand_path('..', __FILE__)) do
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  end
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]
end
